#### STREAM

#### Synopsis

    HELP:   Log to a stream
    TYPE:   OBJECT
    SYNTAX: STREAM(IDENT='str',FORMAT=STANDARD/DIALOG/MINIMAL,STDOUT)

#### Description

The STREAM object allows the log messages to be written to the standard output or the standard error output. Standard error output is used if STDOUT is not specified.

The FLAM log output is written to STDERR. It can be written to a file with `log=FILE NAME` or `2>FILE NAME`.

#### Arguments

- `STRING: IDENT='str' - Identifier used to identify log entries [owner]`
- `NUMBER: FORMAT=STANDARD/DIALOG/MINIMAL - Format of log message [STANDARD]`
  - `STANDARD - Standard logging format (timestamp ident level message)`
  - `DIALOG - For dialog processing (ident level message)`
  - `MINIMAL - For output processing (message)`
- `SWITCH: STDOUT - Log messages to STDOUT instead of STDERR`